Bug 46830 - [4.3] make gunicorn log level configurable
[4.3] make gunicorn log level configurable
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: HTTP-API
UCS@school 4.2
Other Linux
: P5 normal (vote)
: UCS@school 4.3 v4
Assigned To: Daniel Tröder
Ole Schwiegert
:
Depends on: 47135
Blocks: 45019 46831
  Show dependency treegraph
 
Reported: 2018-04-17 10:54 CEST by Daniel Tröder
Modified: 2018-07-04 18:08 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2018-04-17 10:54:33 CEST
Gunicorns log level should be made configurable and the default should be DEBUG for now, as a customer seems to have stability problems.
Comment 1 Daniel Tröder univentionstaff 2018-06-04 17:55:48 CEST
For settings doc see http://docs.gunicorn.org/en/19.6.0/settings.html

loglevel: ucsschool/import/http_api/wsgi_server_loglevel default: 'debug'
accesslog: ucsschool/import/http_api/wsgi_server_accesslog default: /var/log/univention/ucs-school-import/gunicorn_access.log
errorlog: ucsschool/import/http_api/wsgi_server_errorlog degfault: /var/log/univention/ucs-school-import/gunicorn_error.log

[4.3] 63303867 Bug #46830: make gunicorn log level configurable
[4.3] b7c93f6d Bug #46830: changelog
[4.3] c12a94e2 Bug #46830: advisory

ucs-school-import (16.0.2-3)
Comment 2 Ole Schwiegert univentionstaff 2018-06-06 10:13:16 CEST
There is no documentation of the new UCR variables. I would say there should be a doc at least in

ucs-school-import/debian/ucs-school-import-http-api.univention-config-registry-variables
Comment 3 Daniel Tröder univentionstaff 2018-06-06 12:12:08 CEST
[4.3] 67e10bd1 Bug #46830: add UCRV descriptions
[4.3] 81865b07 Bug #46830: update advisory
Comment 4 Ole Schwiegert univentionstaff 2018-06-07 10:12:09 CEST
Descriptions for the UCRV were added. Log level and locations were changed sucessfully.
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2018-07-04 18:08:50 CEST
UCS@school 4.3 v4 has been released.

https://docs.software-univention.de/changelog-ucsschool-4.3v4-de.html

If this error occurs again, please clone this bug.